Javadoc.LinkArgument (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Javadoc.LinkArgument,Javadoc.LinkArgument class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Javadoc.LinkArgument

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.Javadoc.LinkArgument

Enclosing class:
  Javadoc

public class Javadoc.LinkArgument
extends java.lang.Object

Represents a link triplet (href, whether link is offline, location of the package list if off line)

Constructor Summary
`Javadoc.LinkArgument()`

Method Summary
`java.lang.String` | `getHref()`
`java.io.File` | `getPackagelistLoc()`
`boolean` | `isLinkOffline()`
`void` | `setHref(java.lang.String hr)`
`void` | `setOffline(boolean offline)`
`void` | `setPackagelistLoc(java.io.File src)`
`void` | `setResolveLink(boolean resolve)` Sets whether Ant should resolve the link attribute relative to the current basedir.
`boolean` | `shouldResolveLink()` should Ant resolve the link attribute relative to the current basedir?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Javadoc.LinkArgument

    public Javadoc.LinkArgument()

Method Detail

### setHref

    public void setHref(java.lang.String hr)

### getHref

    public java.lang.String getHref()

### setPackagelistLoc

    public void setPackagelistLoc(java.io.File src)

### getPackagelistLoc

    public java.io.File getPackagelistLoc()

### setOffline

    public void setOffline(boolean offline)

### isLinkOffline

    public boolean isLinkOffline()

### setResolveLink

    public void setResolveLink(boolean resolve)

  Sets whether Ant should resolve the link attribute relative to the current basedir.

  Parameters:
    `resolve` - a `boolean` value

### shouldResolveLink

    public boolean shouldResolveLink()

  should Ant resolve the link attribute relative to the current basedir?

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.